Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186736 - Failed to build target: all-o.jruby.distro
Failed to build target: all-o.jruby.distro
Status: STARTED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 12:47 UTC by fordfrog
Modified: 2010-06-22 21:19 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch for disabling building of jruby (1.90 KB, patch)
2010-06-22 11:35 UTC, Erno Mononen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fordfrog 2010-05-26 12:47:32 UTC
version: 6.9 rc1 sources from download section on website

build command:

ant '-Dstop.when.broken.modules=true' '-Dbuild.compiler.debug=true' '-Dbuild.compiler.deprecation=true' '-Dnb.clusters.list=nb.cluster.platform,nb.cluster.apisupport,nb.cluster.cnd,nb.cluster.dlight,nb.cluster.enterprise,nb.cluster.ergonomics,nb.cluster.groovy,nb.cluster.harness,nb.cluster.ide,nb.cluster.identity,nb.cluster.java,nb.cluster.mobility,nb.cluster.nb,nb.cluster.php,nb.cluster.profiler,nb.cluster.ruby,nb.cluster.websvccommon' '-f' 'nbbuild/build.xml' '-Dergonomic.clusters.extra=../../ergonomics_build_fix' 'build-nozip'

build output:

dist-bin:
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0
     [copy] Copying 1254 files to /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0
     [move] Moving 1 file to /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/bin
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-Darwin.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-Windows.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-ppc-AIX.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-ppc-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-ppc64-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-s390x-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-sparc-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-sparcv9-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-Windows.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
     [echo] Running rake install_dist_gems
     [echo] compile=OFF, threshold=20, objectspace=true threadpool=false reflection=false
     [java] /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher': Mutex relocking by same thread (ThreadError)
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:92:in `spec_directories_from_classpath'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:82:in `installed_spec_directories'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:58:in `from_installed_gems'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:881:in `source_index'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:81:in `init_gemspecs'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:13:in `initialize'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `new'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:478:in `find_files'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:1103
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:9:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/bin/rake:9
  [nbmerge] Failed to build target: all-o.jruby.distro

BUILD FAILED
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/nbbuild/build.xml:394: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/nbbuild/build.xml:389: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/nbbuild/build.xml:436: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/build.xml:84: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/build.xml:69: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build.xml:1390: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build.xml:1141: Java returned: 1

Total time: 23 minutes 0 seconds
Comment 1 Erno Mononen 2010-05-27 11:45:15 UTC
Looks like a JRuby build issue, is this reproducible for you? Based on the error msg seems that this could be random. Also, can you please provide the exact OS/Java/Ant versions - thanks.
Comment 2 fordfrog 2010-05-27 12:06:58 UTC
OS: linux (gentoo)

$ java -version
java version "1.6.0_20"
Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
Java HotSpot(TM) 64-Bit Server VM (build 16.3-b01, mixed mode)

$ equery list ant
 * Searching for ant ...
[IP-] [  ] dev-java/ant-1.8.1:0

going to recompile netbeans again to see if it fails the same way
Comment 3 fordfrog 2010-05-27 12:41:29 UTC
looks like it failed exactly the same way:

dist-bin:
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0
     [copy] Copying 1254 files to /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0
     [move] Moving 1 file to /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/bin
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-Darwin.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-i386-Windows.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-ppc-AIX.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-ppc-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-ppc64-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-s390x-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-sparc-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-sparcv9-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-Linux.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-SunOS.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build_lib/jffi-x86_64-Windows.jar into /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
     [echo] Running rake install_dist_gems
     [echo] compile=OFF, threshold=20, objectspace=true threadpool=false reflection=false
     [java] /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher': Mutex relocking by same thread (ThreadError)
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:92:in `spec_directories_from_classpath'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:82:in `installed_spec_directories'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:58:in `from_installed_gems'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:881:in `source_index'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:81:in `init_gemspecs'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:13:in `initialize'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `new'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:478:in `find_files'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:1103
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:9:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/bin/rake:9
  [nbmerge] Failed to build target: all-o.jruby.distro

BUILD FAILED
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/nbbuild/build.xml:394: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/nbbuild/build.xml:389: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/nbbuild/build.xml:436: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/build.xml:84: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/build.xml:69: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build.xml:1390: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9_rc1/o.jruby.distro/unpatched_source/jruby-1.5.0/build.xml:1141: Java returned: 1

Total time: 21 minutes 13 seconds
Comment 4 Erno Mononen 2010-05-27 14:12:36 UTC
Thanks for following up on this. Could you still try building a standalone JRuby dist:

$ git clone git://jruby.org/jruby.git jruby
$ cd jruby
$ git checkout -b jruby15 origin/jruby-1_5
$ ant install-dist-gems && ant dist-bin

or if you don't have and don't want to install git: 

$ wget http://jruby.org.s3.amazonaws.com/downloads/1.5.0/jruby-src-1.5.0.zip
$ unzip jruby-src-1.5.0.zip
$ cd jruby-1.5.0
$ ant install-dist-gems && ant dist-bin

If you get the same error, it would rule out the possibility that this would be caused by the patched JRuby sources in NB. It will also be easier for us to debug this with the plain jruby sources.
Comment 5 Erno Mononen 2010-05-27 14:19:37 UTC
Forgot to add that if you want to build NB and are not interested in the Ruby support, you can workaround this by removing nb.cluster.ruby from clusters.config.full.list in nbbuild/cluster.properties, or you can just build the cluster you're mainly interested in, e.g.

ant -Dcluster.config=java 

for building the Java cluster.
Comment 6 fordfrog 2010-05-27 14:53:03 UTC
well, the thing is that i am gentoo dev that maintains netbeans ebuild so no matter if i use or do not use ruby, there might be others that will want to use it :-)

i used that wget approach (was faster) and the result seems to be very similar:

dist-bin:
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0
     [copy] Copying 1254 files to /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0
     [move] Moving 1 file to /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/bin
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-Darwin.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-i386-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-i386-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-i386-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-i386-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-i386-Windows.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-ppc-AIX.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-ppc-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-ppc64-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-s390x-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-sparc-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-sparcv9-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-x86_64-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-x86_64-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-x86_64-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-x86_64-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build_lib/jffi-x86_64-Windows.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/dist/jruby-bin-1.5.0/lib/native
     [echo] Running rake install_dist_gems
     [echo] compile=OFF, threshold=20, objectspace=true threadpool=false reflection=false
     [java] /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher': Mutex relocking by same thread (ThreadError)
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:92:in `spec_directories_from_classpath'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:82:in `installed_spec_directories'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:58:in `from_installed_gems'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:881:in `source_index'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:81:in `init_gemspecs'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:13:in `initialize'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `new'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:478:in `find_files'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:1103
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:9:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.0/bin/rake:9

BUILD FAILED
/home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build.xml:1292: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/jruby-1.5.0/build.xml:1043: Java returned: 1

Total time: 27 seconds
Comment 7 Erno Mononen 2010-05-27 15:12:16 UTC
Ah, I see :) So this should be fixed for 6.9; I'll investigate and contact the JRuby guys (will CC you).
Comment 8 fordfrog 2010-06-02 14:21:21 UTC
just tried 6.9 rc2 and it's the same problem, as expected :-) also noticed that on gentoo we still do not have jruby 1.5.0 so i could not check how they would make it to compile successfully
Comment 9 Erno Mononen 2010-06-02 14:42:45 UTC
Not sure if you got my email, but please check the thread I started about this on the jruby-user list: http://comments.gmane.org/gmane.comp.lang.jruby.user/12328 

If we can't resolve the issue soon, it is probably best to just remove the ruby cluster for the NB ebuild (see my previous comment for instructions).
Comment 10 fordfrog 2010-06-02 18:06:53 UTC
y, i got copy from you. anyway, don't take this as blocker for the release, either i will remove ruby cluster support for the ebuild till the problem is solved or i will release netbeans 6.9 ebuild when the problem is solved. there is no problem for me to use a patch that would fix the issue.

i just tried to provide more info to the jruby post, so i hope it will arrive, as i used their web interface.
Comment 11 Erno Mononen 2010-06-07 10:50:37 UTC
I'll patch jruby.rb to add logging as per Charles' suggestion, when it makes it to the daily build please try building again.
Comment 12 fordfrog 2010-06-07 11:01:18 UTC
ok, pls let me know when and what to download, thx
Comment 13 Erno Mononen 2010-06-08 13:17:03 UTC
I've added logging in 2269f6447b5d, there should an automatic notification here in the issue when it makes it to the build, please give it a try then and post the backtrace here - thanks.
Comment 14 Quality Engineering 2010-06-09 06:57:39 UTC
Integrated into 'main-golden', will be available in build *201006090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2269f6447b5d
User: Erno Mononen <emononen@netbeans.org>
Log: #186736 - Failed to build target: all-o.jruby.distro
- added logging to track down load error
Comment 15 Erno Mononen 2010-06-09 12:56:04 UTC
This is tracked in http://jira.codehaus.org/browse/JRUBY-4852.
Comment 16 fordfrog 2010-06-16 18:43:36 UTC
just for record, 6.9 fails too:

     [echo] Running rake install_dist_gems
     [echo] compile=OFF, threshold=20, objectspace=true threadpool=false reflection=false
     [java] /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher': Mutex relocking by same thread (ThreadError)
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:92:in `spec_directories_from_classpath'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:82:in `installed_spec_directories'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:58:in `from_installed_gems'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:881:in `source_index'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:81:in `init_gemspecs'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:13:in `initialize'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `new'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:478:in `find_files'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:1103
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems.rb:9:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/bin/rake:9
  [nbmerge] Failed to build target: all-o.jruby.distro

BUILD FAILED
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/nbbuild/build.xml:394: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/nbbuild/build.xml:389: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/nbbuild/build.xml:436: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/build.xml:84: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/build.xml:69: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/build.xml:1390: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/netbeans-6.9/o.jruby.distro/unpatched_source/jruby-1.5.0/build.xml:1141: Java returned: 1

Total time: 23 minutes 44 seconds
Comment 17 fordfrog 2010-06-20 11:59:16 UTC
just tried to build jruby-1.5.1 and it fails the same way:

dist-bin:
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1
     [copy] Copying 1254 files to /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1
     [move] Moving 1 file to /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/bin
    [mkdir] Created dir: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-Darwin.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-i386-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-i386-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-i386-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-i386-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-i386-Windows.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-ppc-AIX.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-ppc-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-ppc64-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-s390x-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-sparc-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-sparcv9-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-x86_64-FreeBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-x86_64-Linux.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-x86_64-OpenBSD.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-x86_64-SunOS.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
    [unzip] Expanding: /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build_lib/jffi-x86_64-Windows.jar into /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/dist/jruby-bin-1.5.1/lib/native
     [echo] Running rake install_dist_gems
     [echo] compile=OFF, threshold=20, objectspace=true threadpool=false reflection=false
     [java] /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher': Mutex relocking by same thread (ThreadError)
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:33:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:92:in `spec_directories_from_classpath'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems/defaults/jruby.rb:82:in `installed_spec_directories'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:58:in `from_installed_gems'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:881:in `source_index'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:81:in `init_gemspecs'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb:13:in `initialize'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `new'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:839:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:838:in `searcher'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:478:in `find_files'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:1103
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/lib/ruby/site_ruby/1.8/rubygems.rb:9:in `require'
     [java] 	from /home/fordfrog/src/gentoo/tmp/jruby-1.5.1/bin/rake:9

BUILD FAILED
/home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build.xml:1292: The following error occurred while executing this line:
/home/fordfrog/src/gentoo/tmp/jruby-1.5.1/build.xml:1043: Java returned: 1

Total time: 51 seconds
Comment 18 Erno Mononen 2010-06-22 11:35:47 UTC
Created attachment 100316 [details]
patch for disabling building of jruby

Attached is a patch for disabling building of the built-in JRuby. I think this is a decent way to workaround this until the JRuby issue gets resolved; this way the NB Gentoo build will still have the Ruby support. The drawback is that there's no Ruby platform out-of-the-box, but it is easy for users to add one manually. Another drawback is that the patch disables the GF JRuby plugin, but  I think we can live with that.
Comment 19 fordfrog 2010-06-22 21:19:33 UTC
thx, works perfect, i just committed netbeans 6.9 ebuild so will see if anybody faces some issue


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo